Bug 1274262 - (CVE-2015-7853) CVE-2015-7853 ntp: reference clock memory corruption vulnerability
CVE-2015-7853 ntp: reference clock memory corruption vulnerability
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151021,repor...
: Security
Depends On: 1296163
Blocks: 1260670
  Show dependency treegraph
 
Reported: 2015-10-22 07:31 EDT by Martin Prpič
Modified: 2016-05-09 21:54 EDT (History)
7 users (show)

See Also:
Fixed In Version: ntp 4.2.8p4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-07 08:19:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2024443 None None None Never

  None (edit)
Description Martin Prpič 2015-10-22 07:31:44 EDT
The following flaw was found in ntpd:

A potential buffer overflow vulnerability exists in the refclock of ntpd. An invalid length provided by a hardware reference clock could cause a buffer overflow potentially resulting in memory being modified. A malicious reflock could provide a negative length to trigger this vulnerability.

External References:

http://talosintel.com/reports/TALOS-2015-0064/
http://support.ntp.org/bin/view/Main/SecurityNotice#October_2015_NTP_Security_Vulner
Comment 3 Martin Prpič 2016-01-06 08:55:04 EST
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1296163]
Comment 5 Martin Prpič 2016-01-07 08:19:05 EST
Statement:

This issue did not affect the versions of ntp as shipped with Red Hat Enterprise Linux 5, 6, and 7 as they do not include the custom refclock driver.

Note You need to log in before you can comment on or make changes to this bug.